package com.gic.haoban.manage.service.entity.contact;

import java.io.Serializable;
import java.util.Date;

/**
 * 建联转化订单(TabContactOrder)实体类
 *
 * @author TONGYI Lingma
 * @since 2024-09-27 16:09:38
 */
public class TabContactOrder implements Serializable {
    private static final long serialVersionUID = 973688857967269975L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 订单编号
     */
    private String orderNumber;
    /**
     * 实付金额
     */
    private Double paidAmount;
    /**
     * 商品数量
     */
    private Integer productCount;
    /**
     * 关联商品信息
     */
    private String goodsInfo;
    /**
     * 付款时间
     */
    private Date payTime;
    /**
     * 单据时间
     */
    private Date receiptsDate;
    /**
     * 业务渠道
     */
    private String channelCode;
    /**
     * 1 线上; 2 线下
     */
    private Integer channelType;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 导购code
     */
    private String clerkCode;
    /**
     * 导购名称
     */
    private String clerkName;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 建联id
     */
    private Long contactLogId;
    /**
     * 建联时间
     */
    private Date contactTime;
    /**
     * 成为潜客时间
     */
    private Date potentialTime;
    /**
     * 潜客分值
     */
    private Integer potentialScore;
    /**
     * 金字塔分层信息
     */
    private String groupInfo;
    /**
     * 来源类型 1潜客（0001）2机会人群（0010）
     */
    private Integer sourceType;

    /**
     * 业务类型 1潜客（0001）2机会人群（0010）
     */
    private Integer bizType;
    /**
     * 是否删除
     */
    private Integer deleteFlag;
    /**
     * 企业id
     */
    private String enterpriseId;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改时间
     */
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Double getPaidAmount() {
        return paidAmount;
    }

    public void setPaidAmount(Double paidAmount) {
        this.paidAmount = paidAmount;
    }

    public Integer getProductCount() {
        return productCount;
    }

    public void setProductCount(Integer productCount) {
        this.productCount = productCount;
    }

    public String getGoodsInfo() {
        return goodsInfo;
    }

    public void setGoodsInfo(String goodsInfo) {
        this.goodsInfo = goodsInfo;
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public Date getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(Date receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public void setChannelType(Integer channelType) {
        this.channelType = channelType;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public Long getContactLogId() {
        return contactLogId;
    }

    public void setContactLogId(Long contactLogId) {
        this.contactLogId = contactLogId;
    }

    public Date getContactTime() {
        return contactTime;
    }

    public void setContactTime(Date contactTime) {
        this.contactTime = contactTime;
    }

    public Date getPotentialTime() {
        return potentialTime;
    }

    public void setPotentialTime(Date potentialTime) {
        this.potentialTime = potentialTime;
    }

    public Integer getPotentialScore() {
        return potentialScore;
    }

    public void setPotentialScore(Integer potentialScore) {
        this.potentialScore = potentialScore;
    }

    public String getGroupInfo() {
        return groupInfo;
    }

    public void setGroupInfo(String groupInfo) {
        this.groupInfo = groupInfo;
    }

    public Integer getSourceType() {
        return sourceType;
    }

    public void setSourceType(Integer sourceType) {
        this.sourceType = sourceType;
    }

    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}